version: '3.5'
services:
  backend-service:
    container_name: backend_agenda
    build:
      context: ./backend
    image: agenda/agenda-php-fpm:7.4
    working_dir: /var/www/html/
    
    volumes:
      - ./backend:/var/www/html
    environment:
      - APP_ENV=local
    entrypoint: ["/bin/sh", "/usr/local/bin/docker-entrypoint.sh"]
    depends_on:
      - db-service
    links:
      - db-service
    restart: on-failure
    networks:
      - travellist


  db-service:
    image: postgres:11.5-alpine
    container_name: agenda-db
    environment:
      - POSTGRES_DB=db_desafio
      - POSTGRES_USER=usr_desafio
      - POSTGRES_PASSWORD=psw_desafio
      - POSTGRES_DB_TEST=db_desafio_test
    ports:
      - 5401:5432
    expose:
      - 5432
    volumes:
      - ./database/docker-data/postgres:/var/lib/postgresql/data
    networks:
      - travellist

  backend-nginx-service:
    image: nginx:1.17-alpine
    container_name: backend_agenda-nginx
    working_dir: /var/www/html/
    volumes:
      - ./backend:/var/www/html
      - ./backend/docker/webserver/nginx/nginx.conf:/etc/nginx/conf.d/default.conf
    ports:
      - '8001:80'
    depends_on:
      - backend-service
    networks:
      - travellist
  

networks:
  travellist:
    name: travellist
    driver: bridge